Getting Ready for EST - Event #328

GREST End-of-Project
2017-03-24 11:00 - GREST EST

Status: Scheduled Start date: 2018-05-31
Priority: Normal Due date: 2018-05-31
Category:

Description

History

#1 - 2017-03-24 11:10 - GREST EST
- Tracker changed from Meeting to Event

- Status changed from New to Temptative

#2 - 2017-03-24 11:20 - GREST EST

- Status changed from Temptative to Scheduled
